<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class ModalController extends Controller
{
    public function showModal(Request $request){
        $inputData = $request->all();

        if( $inputData['type'] == 'SUPPORT_MODAL_VIEW'){
            return view('partials.modal.support_modal');
        }
        if($inputData['type'] == 'PROFILE_IMAGE_MODAL_VIEW'){
            return view('partials.modal.image_view_modal');
        }
        if($inputData['type'] == 'FIRST_TIME_LOGIN_MODAL_VIEW'){
            return view('partials.modal.first_time_login_modal');
        }
        if($inputData['type'] == 'UPLOAD_DOC_MODAL'){
            return view('partials.modal.upload_doc_modal');
        }
        if($inputData['type'] == 'COMMON_MODAL'){
            return view('partials.modal.common_modal',compact('inputData'));
        }


    }
}
